#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 retry
version:              0.9.2.0
visibility:           public
id:                   retry-0.9.2.0-CFF30ONQoTpG2UITnmaCvB
key:                  retry-0.9.2.0-CFF30ONQoTpG2UITnmaCvB
license:              BSD-3-Clause
copyright:            Ozgun Ataman, Soostone Inc
maintainer:           ozgun.ataman@soostone.com
author:               Ozgun Ataman
homepage:             http://github.com/Soostone/retry
synopsis:             Retry combinators for monadic actions that may fail
description:
    This package exposes combinators that can wrap arbitrary
    monadic actions. They run the action and potentially retry
    running it with some configurable delay for a configurable
    number of times.
    The purpose is to make it easier to work with IO and
    especially network IO actions that often experience temporary
    failure and warrant retrying of the original action. For
    example, a database query may time out for a while, in which
    case we should hang back for a bit and retry the query instead
    of simply raising an exception.

category:             Control
abi:                  cb259bf361257f9be3a80e762a2ca404
exposed:              True
exposed-modules:      Control.Retry
import-dirs:          /usr/lib/ghc-9.0.2/site-local/retry-0.9.2.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/retry-0.9.2.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-retry
hs-libraries:         HSretry-0.9.2.0-CFF30ONQoTpG2UITnmaCvB
depends:
    base-4.15.1.0 exceptions-0.10.4 ghc-prim-0.7.0 mtl-2.2.2
    random-1.2.1-1Hz8B867VBj7K7atSeCZU3 transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-retry/html/retry.haddock
haddock-html:         /usr/share/doc/haskell-retry/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

